Subject: NCR5380 patch, probably fixes PAS-16 SCSI port HD problems
From: [email-masked] (Drew Eckhardt)
Date: 20 Dec 1993 01:56:39 +0200
Newsgroups: comp.os.linux.announce

[ Moderator's note: I'm posting the patch separately to c.o.l.development;
  it's a tad big for c.o.l.a.  --liw ]

I've been hearing a fair amount of yacking from people that have 
been unable to use hard drives on their PAS-16 SCSI port although
they had no problems with CDs.

Unfortunately, I was unable to reproduce the problem on my system
until just recently when I picked up an old Syquest 555.  That
gave me a buffered device that didn't stop transfering during the 
inter-sector gaps, uncovering a minor race condition, and also gave
me two devices on my SCSI bus which let take care of the one kink
that was causing problems with multiple target support.

Dave Platt had a workarround in his Ricoh port of the driver, but 
I didn't really think anything of it at the time.

See the RCS log if you want more specifics.

These diffs are gainst .99.13p, are a little ugly, etc, but if 
you can get them in, they should fix the PAS-16 problem.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.